<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
RecnoDatabase..::.Stats Method (Transaction)
RecnoDatabase Class See Also Send Feedback

Return the database statistical information for this database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public RecnoStats Stats(
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Function Stats ( _
    	txn As Transaction _
    ) As RecnoStats

Visual C++

    public:
    RecnoStats^ Stats(
    	Transaction^ txn
    )

#### Parameters

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

Database statistical information.

# See Also

RecnoDatabase Class
Stats Overload
BerkeleyDB Namespace